/**
 * connection test script for mysql
 * copyright 2003 akabane(akabane@logical-paradox.org)
 */
import java.io.*;
import java.lang.*;
import java.sql.*;


public class mysqltest {
	public static void main( String[] args ) throws Exception {
		if( args.length != 4 ) {
			System.err.println( "usage: java mysqltest <host> <db name> <db user> <db passwd>" );
			System.exit(1);
		}

		System.err.println( "JDBCドライバをロードしています" );
		Class.forName( "com.mysql.jdbc.Driver" ).newInstance();
		String constr =
					"jdbc:mysql://" + args[0] + "/" + args[1] + "?user=" + args[2] + "&" +
					"password=" + args[3]
		;

		System.err.println( "データベースに接続しています" );
		Connection con = DriverManager.getConnection( constr );

		System.err.println( "ステートメントオブジェクトを作成しています" );
		Statement st = con.createStatement();

		String sql = "describe contents";
		System.err.println( "SQL文 '" + sql + "'を実行しています" );
		ResultSet rs = st.executeQuery( sql );

		System.err.println( "結果セットを表示しています" );

		int cnt = 0;
		while( rs.next() ) {
			cnt++;
			String s = rs.getString(1);
			System.err.println( "row " + cnt + ":" + s );
		}

		System.err.println( "結果セットとステートメントを閉じています" );
		rs.close();
		st.close();

		System.err.println( "データベース接続を閉じています" );
		con.close();

		System.err.println( "done." );

		System.exit(0);
	}
}

// end of mysqltest.java
